%define module	Algorithm-Dependency
%define name	perl-%{module}
%define version 1.04
%define release 1mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Algorithmic framework for implementing dependency tree
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source0:	http://search.cpan.org/CPAN/authors/id/A/AD/ADAMK/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRequires:	perl-Class-Inspector >= 1.06
BuildRequires:	perl-Config-Tiny >= 2.0
BuildRequires:	perl-Test-ClassAPI >= 0.6
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Algorithm::Dependency is a framework for creating simple read-only
dependency hierachies, where you have a set of items that rely on other
items in the set, and require actions on them as well.

Despite the most visible of these being software installation systems
like the CPAN installer, or debian apt-get, they are usefu
situations. This module intentionally uses implementation-neutral words,
to avoid confusion.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Algorithm
%{_mandir}/*/*

%changelog
* Wed Sep 21 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.04-1mdk
- New release 1.04
- spec cleanup
- fix directory ownership
- fix spelling errors in description

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.03-1mdk
- initial Mandriva package 
